#!/bin/bash

MAD_B86S=""
MAD_PBEa=""
MAD_MSP=""
MAD_optP=""
MAD_SR48=""
MAD_SRPs=""
#H2
j=0
for i in {1..12}
do
  exp=`awk 'NR == '$i' {print $2}' exp.H2.v0`
  B86S=`awk 'NR == '$i' {print $2}' B86SRP68-DF2.H2.v0`
  PBEa=`awk 'NR == '$i' {print $2}' PBEa57-DF2.H2.v0`
  MSP=`awk 'NR == '$i' {print $2}' MS.B86b.H2.v0`
  optP=`awk 'NR == '$i' {print $2}' optPBE-DF2.H2.v0`
  SR48=`awk 'NR == '$i' {print $2}' SRP48.H2.v0`
  SRPs=`awk 'NR == '$i' {print $2}' SRPsol63-DF2.H2.v0`
  if [ "$i" == "12" ]; then
    MAD_B86S+=" sqrt( ($exp - $B86S)*($exp - $B86S))  "
    MAD_PBEa+=" sqrt( ($exp - $PBEa)*($exp - $PBEa))  "
    MAD_MSP+=" sqrt( ($exp - $MSP)*($exp - $MSP))  "
    MAD_optP+="sqrt( ($exp - $optP)*($exp - $optP))  "
    MAD_SR48+="sqrt( ($exp - $SR48)*($exp - $SR48))  "
    MAD_SRPs+="sqrt( ($exp - $SRPs)*($exp - $SRPs))  "
  else
    MAD_B86S+=" sqrt( ($exp - $B86S)*($exp - $B86S)) + "
    MAD_PBEa+=" sqrt( ($exp - $PBEa)*($exp - $PBEa)) + "
    MAD_MSP+=" sqrt( ($exp - $MSP)*($exp - $MSP)) + "
    MAD_optP+="sqrt( ($exp - $optP)*($exp - $optP)) + "
    MAD_SR48+="sqrt( ($exp - $SR48)*($exp - $SR48)) + "
    MAD_SRPs+="sqrt( ($exp - $SRPs)*($exp - $SRPs)) + "
  fi
  ((j++))
done
echo $MAD_B86S  
echo $j
echo "MAD H2 v=0 B86SRP68-DF2:"
echo "($MAD_B86S )/ $j " | bc -l
echo
echo "MAD H2 v=0 PBEa57-DF2:"
echo "($MAD_PBEa )/ $j " | bc -l
echo 
echo "MAD H2 v=0  MS-B86bl:"
echo "($MAD_MSP )/ $j " | bc -l
echo 
echo "MAD H2 v=0  optPBE-DF2:"
echo "($MAD_optP )/ $j " | bc -l
echo
echo "MAD H2 v=0  SRP48:"
echo "($MAD_SR48 )/ $j " | bc -l
echo 
echo "MAD H2 v=0  SRPsol63-DF2:"
echo "($MAD_SRPs )/ $j " | bc -l
echo
echo "------------------------------------------------------------"
echo

MAD_B86S_tot="$MAD_B86S "
MAD_PBEa_tot="$MAD_PBEa "
MAD_MSP_tot="$MAD_MSP "
MAD_optP_tot="$MAD_optP "
MAD_SR48_tot="$MAD_SR48 "
MAD_SRPs_tot="$MAD_SRPs "


MAD_B86S=""
MAD_PBEa=""
MAD_MSP=""
MAD_optP=""
MAD_SR48=""
MAD_SRPs=""
#H2 v=1
j=0
for i in {1..8}
do
  exp=`awk 'NR == '$i' {print $2}' exp.H2.v1`
  B86S=`awk 'NR == '$i' {print $2}' B86SRP68-DF2.H2.v1`
  PBEa=`awk 'NR == '$i' {print $2}' PBEa57-DF2.H2.v1`
  MSP=`awk 'NR == '$i' {print $2}' MS.B86b.H2.v1`
  optP=`awk 'NR == '$i' {print $2}' optPBE-DF2.H2.v1`
  SR48=`awk 'NR == '$i' {print $2}' SRP48.H2.v1`
  SRPs=`awk 'NR == '$i' {print $2}' SRPsol63-DF2.H2.v1`
  if [ "$i" == "8" ]; then
    MAD_B86S+=" sqrt( ($exp - $B86S)*($exp - $B86S))  "
    MAD_PBEa+=" sqrt( ($exp - $PBEa)*($exp - $PBEa))  "
    MAD_MSP+=" sqrt( ($exp - $MSP)*($exp - $MSP))  "
    MAD_optP+="sqrt( ($exp - $optP)*($exp - $optP))  "
    MAD_SR48+="sqrt( ($exp - $SR48)*($exp - $SR48))  "
    MAD_SRPs+="sqrt( ($exp - $SRPs)*($exp - $SRPs))  "
  else
    MAD_B86S+=" sqrt( ($exp - $B86S)*($exp - $B86S)) + "
    MAD_PBEa+=" sqrt( ($exp - $PBEa)*($exp - $PBEa)) + "
    MAD_MSP+=" sqrt( ($exp - $MSP)*($exp - $MSP)) + "
    MAD_optP+="sqrt( ($exp - $optP)*($exp - $optP)) + "
    MAD_SR48+="sqrt( ($exp - $SR48)*($exp - $SR48)) + "
    MAD_SRPs+="sqrt( ($exp - $SRPs)*($exp - $SRPs)) + "
  fi
  ((j++))
done

MAD_B86S_tot+=" + $MAD_B86S "
MAD_PBEa_tot+=" + $MAD_PBEa "
MAD_MSP_tot+=" + $MAD_MSP "
MAD_optP_tot+=" + $MAD_optP "
MAD_SR48_tot+=" + $MAD_SR48 "
MAD_SRPs_tot+=" + $MAD_SRPs "


echo $MAD_B86S
echo $j
  
echo "MAD H2 v=1 B86SRP68-DF2:"
echo "($MAD_B86S )/ $j " | bc -l
echo
echo "MAD H2 v=1 PBEa57-DF2:"
echo "($MAD_PBEa )/ $j " | bc -l
echo 
echo "MAD H2 v=1  MS-B86bl:"
echo "($MAD_MSP )/ $j " | bc -l
echo 
echo "MAD H2 v=1  optPBE-DF2:"
echo "($MAD_optP )/ $j " | bc -l
echo
echo "MAD H2 v=1  SRP48:"
echo "($MAD_SR48 )/ $j " | bc -l
echo 
echo "MAD H2 v=1  SRPsol63-DF2:"
echo "($MAD_SRPs )/ $j " | bc -l
echo
echo "------------------------------------------------------------"
echo
echo "MAD H2 TOTAL B86SRP68-DF2:"
echo "($MAD_B86S_tot ) / ( 12 + 8 ) " | bc -l
echo
echo "MAD H2 TOTal PBEa57-DF2:"
echo "($MAD_PBEa_tot) / ( 12 + 8 ) " | bc -l
echo
echo "MAD H2 TOTAL  MS-B86bl:"
echo "($MAD_MSP_tot) / ( 12 + 8 ) " | bc -l
echo
echo "MAD H2 TOTAL optPBE-DF2:"
echo "($MAD_optP_tot) / ( 12 + 8 ) " | bc -l
echo
echo "MAD H2 TOTAL SRP48:"
echo "($MAD_SR48_tot) / ( 12 + 8 ) " | bc -l
echo
echo "MAD H2 TOTAL SRPsol63-DF2:"
echo "($MAD_SRPs_tot) / ( 12 + 8 ) " | bc -l
echo
echo "------------------------------------------------------------"
echo

#D2 v = 0
MAD_B86S=""
MAD_PBEa=""
MAD_MSP=""
MAD_optP=""
MAD_SR48=""
MAD_SRPs=""
j=0
for i in {1..12}
do
  exp=`awk 'NR == '$i' {print $2}' exp.D2.v0`
  B86S=`awk 'NR == '$i' {print $2}' B86SRP68-DF2.D2.v0`
  PBEa=`awk 'NR == '$i' {print $2}' PBEa57-DF2.D2.v0`
  MSP=`awk 'NR == '$i' {print $2}' MS.B86b.D2.v0`
  optP=`awk 'NR == '$i' {print $2}' optPBE-DF2.D2.v0`
  SR48=`awk 'NR == '$i' {print $2}' SRP48.D2.v0`
  SRPs=`awk 'NR == '$i' {print $2}' SRPsol63-DF2.D2.v0`
  if [ "$i" == "12" ]; then
    MAD_B86S+=" sqrt( ($exp - $B86S)*($exp - $B86S))  "
    MAD_PBEa+=" sqrt( ($exp - $PBEa)*($exp - $PBEa))  "
    MAD_MSP+=" sqrt( ($exp - $MSP)*($exp - $MSP))  "
    MAD_optP+="sqrt( ($exp - $optP)*($exp - $optP))  "
    MAD_SR48+="sqrt( ($exp - $SR48)*($exp - $SR48))  "
    MAD_SRPs+="sqrt( ($exp - $SRPs)*($exp - $SRPs))  "
  else
    MAD_B86S+=" sqrt( ($exp - $B86S)*($exp - $B86S)) + "
    MAD_PBEa+=" sqrt( ($exp - $PBEa)*($exp - $PBEa)) + "
    MAD_MSP+=" sqrt( ($exp - $MSP)*($exp - $MSP)) + "
    MAD_optP+="sqrt( ($exp - $optP)*($exp - $optP)) + "
    MAD_SR48+="sqrt( ($exp - $SR48)*($exp - $SR48)) + "
    MAD_SRPs+="sqrt( ($exp - $SRPs)*($exp - $SRPs)) + "
  fi
  ((j++))
done
  
echo "MAD D2 v=0 B86SRP68-DF2:"
echo "($MAD_B86S )/ $j " | bc -l
echo
echo "MAD D2 v=0 PBEa57-DF2:"
echo "($MAD_PBEa )/ $j " | bc -l
echo 
echo "MAD D2 v=0  MS-B86bl:"
echo "($MAD_MSP )/ $j " | bc -l
echo 
echo "MAD D2 v=0  optPBE-DF2:"
echo "($MAD_optP )/ $j " | bc -l
echo
echo "MAD D2 v=0  SRP48:"
echo "($MAD_SR48 )/ $j " | bc -l
echo 
echo "MAD D2 v=0  SRPsol63-DF2:"
echo "($MAD_SRPs )/ $j " | bc -l
echo
echo "------------------------------------------------------------"
echo

MAD_B86S_tot="$MAD_B86S "
MAD_PBEa_tot="$MAD_PBEa "
MAD_MSP_tot="$MAD_MSP "
MAD_optP_tot="$MAD_optP "
MAD_SR48_tot="$MAD_SR48 "
MAD_SRPs_tot="$MAD_SRPs "


#D2 v = 1
MAD_B86S=""
MAD_PBEa=""
MAD_MSP=""
MAD_optP=""
MAD_SR48=""
MAD_SRPs=""
j=0
for i in {1..8}
do
  exp=`awk 'NR == '$i' {print $2}' exp.D2.v1`
  B86S=`awk 'NR == '$i' {print $2}' B86SRP68-DF2.D2.v1`
  PBEa=`awk 'NR == '$i' {print $2}' PBEa57-DF2.D2.v1`
  MSP=`awk 'NR == '$i' {print $2}' MS.B86b.D2.v1`
  optP=`awk 'NR == '$i' {print $2}' optPBE-DF2.D2.v1`
  SR48=`awk 'NR == '$i' {print $2}' SRP48.D2.v1`
  SRPs=`awk 'NR == '$i' {print $2}' SRPsol63-DF2.D2.v1`
  if [ "$i" == "8" ]; then
    MAD_B86S+=" sqrt( ($exp - $B86S)*($exp - $B86S))  "
    MAD_PBEa+=" sqrt( ($exp - $PBEa)*($exp - $PBEa))  "
    MAD_MSP+=" sqrt( ($exp - $MSP)*($exp - $MSP))  "
    MAD_optP+="sqrt( ($exp - $optP)*($exp - $optP))  "
    MAD_SR48+="sqrt( ($exp - $SR48)*($exp - $SR48))  "
    MAD_SRPs+="sqrt( ($exp - $SRPs)*($exp - $SRPs))  "
  else
    MAD_B86S+=" sqrt( ($exp - $B86S)*($exp - $B86S)) + "
    MAD_PBEa+=" sqrt( ($exp - $PBEa)*($exp - $PBEa)) + "
    MAD_MSP+=" sqrt( ($exp - $MSP)*($exp - $MSP)) + "
    MAD_optP+="sqrt( ($exp - $optP)*($exp - $optP)) + "
    MAD_SR48+="sqrt( ($exp - $SR48)*($exp - $SR48)) + "
    MAD_SRPs+="sqrt( ($exp - $SRPs)*($exp - $SRPs)) + "
  fi
  ((j++))
done

MAD_B86S_tot+=" + $MAD_B86S "
MAD_PBEa_tot+=" + $MAD_PBEa "
MAD_MSP_tot+=" + $MAD_MSP "
MAD_optP_tot+=" + $MAD_optP "
MAD_SR48_tot+=" + $MAD_SR48 "
MAD_SRPs_tot+=" + $MAD_SRPs "

  
echo "MAD D2 v=1 B86SRP68-DF2:"
echo "($MAD_B86S )/ $j " | bc -l
echo
echo "MAD D2 v=1 PBEa57-DF2:"
echo "($MAD_PBEa )/ $j " | bc -l
echo 
echo "MAD D2 v=1  MS-B86bl:"
echo "($MAD_MSP )/ $j " | bc -l
echo 
echo "MAD D2 v=1  optPBE-DF2:"
echo "($MAD_optP )/ $j " | bc -l
echo
echo "MAD D2 v=1  SRP48:"
echo "($MAD_SR48 )/ $j " | bc -l
echo 
echo "MAD D2 v=1  SRPsol63-DF2:"
echo "($MAD_SRPs )/ $j " | bc -l
echo
echo "------------------------------------------------------------"
echo
echo "MAD D2 TOTAL B86SRP68-DF2:"
echo "($MAD_B86S_tot ) / ( 12 + 8 ) " | bc -l
echo
echo "MAD D2 TOTal PBEa57-DF2:"
echo "($MAD_PBEa_tot) / ( 12 + 8 ) " | bc -l
echo
echo "MAD D2 TOTAL  MS-B86bl:"
echo "($MAD_MSP_tot) / ( 12 + 8 ) " | bc -l
echo
echo "MAD D2 TOTAL optPBE-DF2:"
echo "($MAD_optP_tot) / ( 12 + 8 ) " | bc -l
echo
echo "MAD D2 TOTAL SRP48:"
echo "($MAD_SR48_tot) / ( 12 + 8 ) " | bc -l
echo
echo "MAD D2 TOTAL SRPsol63-DF2:"
echo "($MAD_SRPs_tot) / ( 12 + 8 ) " | bc -l
echo
echo "------------------------------------------------------------"
echo

