#!/bin/bash

MSD_B86S=""
MSD_PBEa=""
MSD_MSP=""
MSD_optP=""
MSD_SR48=""
MSD_SRPs=""
#H2
j=0
for i in {1..12}
do
  exp=`awk 'NR == '$i' {print $2}' exp.H2.v0`
  B86S=`awk 'NR == '$i' {print $2}' B86SRP68-DF2.H2.v0`
  PBEa=`awk 'NR == '$i' {print $2}' PBEa57-DF2.H2.v0`
  MSP=`awk 'NR == '$i' {print $2}' MS.B86b.H2.v0`
  optP=`awk 'NR == '$i' {print $2}' optPBE-DF2.H2.v0`
  SR48=`awk 'NR == '$i' {print $2}' SRP48.H2.v0`
  SRPs=`awk 'NR == '$i' {print $2}' SRPsol63-DF2.H2.v0`
  if [ "$i" == "12" ]; then
    MSD_B86S+="  ($exp - $B86S)  "
    MSD_PBEa+="  ($exp - $PBEa)  "
    MSD_MSP+="   ($exp - $MSP)  "
    MSD_optP+="  ($exp - $optP)  "
    MSD_SR48+="  ($exp - $SR48)  "
    MSD_SRPs+="  ($exp - $SRPs)  "
  else
    MSD_B86S+="  ($exp - $B86S) + "
    MSD_PBEa+="  ($exp - $PBEa) + "
    MSD_MSP+="   ($exp - $MSP) + "
    MSD_optP+="  ($exp - $optP) + "
    MSD_SR48+="  ($exp - $SR48) + "
    MSD_SRPs+="  ($exp - $SRPs) + "
  fi
  ((j++))
done
echo $MSD_B86S  
echo $j
echo "MSD H2 v=0 B86SRP68-DF2:"
echo "($MSD_B86S )/ $j " | bc -l
echo
echo "MSD H2 v=0 PBEa57-DF2:"
echo "($MSD_PBEa )/ $j " | bc -l
echo 
echo "MSD H2 v=0  MS-B86bl:"
echo "($MSD_MSP )/ $j " | bc -l
echo 
echo "MSD H2 v=0  optPBE-DF2:"
echo "($MSD_optP )/ $j " | bc -l
echo
echo "MSD H2 v=0  SRP48:"
echo "($MSD_SR48 )/ $j " | bc -l
echo 
echo "MSD H2 v=0  SRPsol63-DF2:"
echo "($MSD_SRPs )/ $j " | bc -l
echo
echo "------------------------------------------------------------"
echo

MSD_B86S_tot="$MSD_B86S "
MSD_PBEa_tot="$MSD_PBEa "
MSD_MSP_tot="$MSD_MSP "
MSD_optP_tot="$MSD_optP "
MSD_SR48_tot="$MSD_SR48 "
MSD_SRPs_tot="$MSD_SRPs "

MSD_B86S=""
MSD_PBEa=""
MSD_MSP=""
MSD_optP=""
MSD_SR48=""
MSD_SRPs=""
#H2 v=1
j=0
for i in {1..8}
do
  exp=`awk 'NR == '$i' {print $2}' exp.H2.v1`
  B86S=`awk 'NR == '$i' {print $2}' B86SRP68-DF2.H2.v1`
  PBEa=`awk 'NR == '$i' {print $2}' PBEa57-DF2.H2.v1`
  MSP=`awk 'NR == '$i' {print $2}' MS.B86b.H2.v1`
  optP=`awk 'NR == '$i' {print $2}' optPBE-DF2.H2.v1`
  SR48=`awk 'NR == '$i' {print $2}' SRP48.H2.v1`
  SRPs=`awk 'NR == '$i' {print $2}' SRPsol63-DF2.H2.v1`
  if [ "$i" == "8" ]; then
    MSD_B86S+="  ($exp - $B86S)  "
    MSD_PBEa+="  ($exp - $PBEa)  "
    MSD_MSP+="   ($exp - $MSP)  "
    MSD_optP+="  ($exp - $optP)  "
    MSD_SR48+="  ($exp - $SR48)  "
    MSD_SRPs+="  ($exp - $SRPs)  "
  else
    MSD_B86S+="  ($exp - $B86S) + "
    MSD_PBEa+="  ($exp - $PBEa) + "
    MSD_MSP+="   ($exp - $MSP) + "
    MSD_optP+="  ($exp - $optP) + "
    MSD_SR48+="  ($exp - $SR48) + "
    MSD_SRPs+="  ($exp - $SRPs) + "
  fi
  ((j++))
done

echo $MSD_B86S
echo $j

MSD_B86S_tot+=" + $MSD_B86S "
MSD_PBEa_tot+=" + $MSD_PBEa "
MSD_MSP_tot+=" + $MSD_MSP "
MSD_optP_tot+=" + $MSD_optP "
MSD_SR48_tot+=" + $MSD_SR48 "
MSD_SRPs_tot+=" + $MSD_SRPs "

  
echo "MSD H2 v=1 B86SRP68-DF2:"
echo "($MSD_B86S )/ $j " | bc -l
echo
echo "MSD H2 v=1 PBEa57-DF2:"
echo "($MSD_PBEa )/ $j " | bc -l
echo 
echo "MSD H2 v=1  MS-B86bl:"
echo "($MSD_MSP )/ $j " | bc -l
echo 
echo "MSD H2 v=1  optPBE-DF2:"
echo "($MSD_optP )/ $j " | bc -l
echo
echo "MSD H2 v=1  SRP48:"
echo "($MSD_SR48 )/ $j " | bc -l
echo 
echo "MSD H2 v=1  SRPsol63-DF2:"
echo "($MSD_SRPs )/ $j " | bc -l
echo
echo "------------------------------------------------------------"
echo
echo "MSD TOTAL H2 B86SRP68-DF2"
echo "($MSD_B86S_tot )/ (12 + 8)" | bc -l
echo
echo "MSD TOTAL H2 PBEa57-DF2"
echo "($MSD_PBEa_tot  )/ (12 + 8)" | bc -l
echo
echo "MSD TOTAL H2 MS-B86bl"
echo "($MSD_MSP_tot  )/ (12 + 8)" | bc -l
echo
echo "MSD TOTAL H2 optPBE-DF2"
echo "($MSD_optP_tot )/ (12 + 8)" | bc -l
echo
echo "MSD TOTAL H2 SRP48"
echo "($MSD_SR48_tot )/ (12 + 8)" | bc -l
echo
echo "MSD TOTAL H2 SRPSol63-DF2"
echo "($MSD_SRPs_tot  )/ (12 + 8)" | bc -l
echo 
echo "------------------------------------------------------------"
echo
#D2 v = 0
MSD_B86S=""
MSD_PBEa=""
MSD_MSP=""
MSD_optP=""
MSD_SR48=""
MSD_SRPs=""
j=0
for i in {1..12}
do
  exp=`awk 'NR == '$i' {print $2}' exp.D2.v0`
  B86S=`awk 'NR == '$i' {print $2}' B86SRP68-DF2.D2.v0`
  PBEa=`awk 'NR == '$i' {print $2}' PBEa57-DF2.D2.v0`
  MSP=`awk 'NR == '$i' {print $2}' MS.B86b.D2.v0`
  optP=`awk 'NR == '$i' {print $2}' optPBE-DF2.D2.v0`
  SR48=`awk 'NR == '$i' {print $2}' SRP48.D2.v0`
  SRPs=`awk 'NR == '$i' {print $2}' SRPsol63-DF2.D2.v0`
  if [ "$i" == "12" ]; then
    MSD_B86S+="  ($exp - $B86S)  "
    MSD_PBEa+="  ($exp - $PBEa)  "
    MSD_MSP+="   ($exp - $MSP)  "
    MSD_optP+="  ($exp - $optP)  "
    MSD_SR48+="  ($exp - $SR48)  "
    MSD_SRPs+="  ($exp - $SRPs)  "
  else
    MSD_B86S+="  ($exp - $B86S) + "
    MSD_PBEa+="  ($exp - $PBEa) + "
    MSD_MSP+="   ($exp - $MSP) + "
    MSD_optP+="  ($exp - $optP) + "
    MSD_SR48+="  ($exp - $SR48) + "
    MSD_SRPs+="  ($exp - $SRPs) + "
  fi
  ((j++))
done
  
echo "MSD D2 v=0 B86SRP68-DF2:"
echo "($MSD_B86S )/ $j " | bc -l
echo
echo "MSD D2 v=0 PBEa57-DF2:"
echo "($MSD_PBEa )/ $j " | bc -l
echo 
echo "MSD D2 v=0  MS-B86bl:"
echo "($MSD_MSP )/ $j " | bc -l
echo 
echo "MSD D2 v=0  optPBE-DF2:"
echo "($MSD_optP )/ $j " | bc -l
echo
echo "MSD D2 v=0  SRP48:"
echo "($MSD_SR48 )/ $j " | bc -l
echo 
echo "MSD D2 v=0  SRPsol63-DF2:"
echo "($MSD_SRPs )/ $j " | bc -l
echo
echo "------------------------------------------------------------"
echo

MSD_B86S_tot="$MSD_B86S "
MSD_PBEa_tot="$MSD_PBEa "
MSD_MSP_tot="$MSD_MSP "
MSD_optP_tot="$MSD_optP "
MSD_SR48_tot="$MSD_SR48 "
MSD_SRPs_tot="$MSD_SRPs "


#D2 v = 1
MSD_B86S=""
MSD_PBEa=""
MSD_MSP=""
MSD_optP=""
MSD_SR48=""
MSD_SRPs=""
j=0
for i in {1..8}
do
  exp=`awk 'NR == '$i' {print $2}' exp.D2.v1`
  B86S=`awk 'NR == '$i' {print $2}' B86SRP68-DF2.D2.v1`
  PBEa=`awk 'NR == '$i' {print $2}' PBEa57-DF2.D2.v1`
  MSP=`awk 'NR == '$i' {print $2}' MS.B86b.D2.v1`
  optP=`awk 'NR == '$i' {print $2}' optPBE-DF2.D2.v1`
  SR48=`awk 'NR == '$i' {print $2}' SRP48.D2.v1`
  SRPs=`awk 'NR == '$i' {print $2}' SRPsol63-DF2.D2.v1`
  if [ "$i" == "8" ]; then
    MSD_B86S+="  ($exp - $B86S)  "
    MSD_PBEa+="  ($exp - $PBEa)  "
    MSD_MSP+="   ($exp - $MSP)  "
    MSD_optP+="  ($exp - $optP)  "
    MSD_SR48+="  ($exp - $SR48)  "
    MSD_SRPs+="  ($exp - $SRPs)  "
  else
    MSD_B86S+="  ($exp - $B86S) + "
    MSD_PBEa+="  ($exp - $PBEa) + "
    MSD_MSP+="   ($exp - $MSP) + "
    MSD_optP+="  ($exp - $optP) + "
    MSD_SR48+="  ($exp - $SR48) + "
    MSD_SRPs+="  ($exp - $SRPs) + "
  fi
  ((j++))
done

MSD_B86S_tot+=" + $MSD_B86S "
MSD_PBEa_tot+=" + $MSD_PBEa "
MSD_MSP_tot+=" + $MSD_MSP "
MSD_optP_tot+=" + $MSD_optP "
MSD_SR48_tot+=" + $MSD_SR48 "
MSD_SRPs_tot+=" + $MSD_SRPs "
  
echo "MSD D2 v=1 B86SRP68-DF2:"
echo "($MSD_B86S )/ $j " | bc -l
echo
echo "MSD D2 v=1 PBEa57-DF2:"
echo "($MSD_PBEa )/ $j " | bc -l
echo 
echo "MSD D2 v=1  MS-B86bl:"
echo "($MSD_MSP )/ $j " | bc -l
echo 
echo "MSD D2 v=1  optPBE-DF2:"
echo "($MSD_optP )/ $j " | bc -l
echo
echo "MSD D2 v=1  SRP48:"
echo "($MSD_SR48 )/ $j " | bc -l
echo 
echo "MSD D2 v=1  SRPsol63-DF2:"
echo "($MSD_SRPs )/ $j " | bc -l
echo
echo "------------------------------------------------------------"
echo
echo
echo "MSD TOTAL D2 B86SRP68-DF2"
echo "($MSD_B86S_tot )/ (12 + 8)" | bc -l
echo
echo "MSD TOTAL D2 PBEa57-DF2"
echo "($MSD_PBEa_tot  )/ (12 + 8)" | bc -l
echo
echo "MSD TOTAL D2 MS-B86bl"
echo "($MSD_MSP_tot  )/ (12 + 8)" | bc -l
echo
echo "MSD TOTAL D2 optPBE-DF2"
echo "($MSD_optP_tot )/ (12 + 8)" | bc -l
echo
echo "MSD TOTAL D2 SRP48"
echo "($MSD_SR48_tot )/ (12 + 8)" | bc -l
echo
echo "MSD TOTAL D2 SRPSol63-DF2"
echo "($MSD_SRPs_tot  )/ (12 + 8)" | bc -l
echo 
echo "------------------------------------------------------------"
echo

