#!/bin/bash


gnuplot<<EOF
set output "test.ps"
set terminal postscript enhanced color landscape
set multiplot layout 1,4 title "E_0(v,J) Cu(111)" font ",12"
set bmargin 0.5
set tmargin 6.5
set lmargin 3.5
set rmargin 0.5
set tics font "Helvetica, 10"
#
set title "H_2 v = 0" font ",10" 
unset key
set ylabel "E_0(v,J) [ev]
set xlabel "J"
set xrange[-0.5:11.5]
plot "exp.H2.v0" lc -1 pointtype 7 pointsize 0.5 , "B86SRP68-DF2.H2.v0" lc 1 pointtype 7 pointsize 0.5, "B86SRP68-DF2.H2.F1.v0" lc 2 pointtype 7 pointsize 0.5, "B86SRP68-DF2.H2.F-1.v0" lc 3 pointtype 7 pointsize 0.5 
unset ylabel
#
set title "H_2 v = 1"
unset key
set xlabel "J"
set xrange[-0.5:7.5]
plot "exp.H2.v1" lc -1 pointtype 7 pointsize 0.5 , "B86SRP68-DF2.H2.v1" lc 1 pointtype 7 pointsize 0.5, "B86SRP68-DF2.H2.F1.v1" lc 2 pointtype 7 pointsize 0.5, "B86SRP68-DF2.H2.F-1.v1" lc 3 pointtype 7 pointsize 0.5

#
set title"D_2 v = 0"
unset key
set xlabel"J"
set xrange [-0.5:11.5]
plot "exp.D2.v0" lc -1 pointtype 7 pointsize 0.5 , "B86SRP68-DF2.D2.v0" lc 1 pointtype 7 pointsize 0.5, "B86SRP68-DF2.D2.F1.v0" lc 2 pointtype 7 pointsize 0.5, "B86SRP68-DF2.D2.F-1.v0" lc 3 pointtype 7 pointsize 0.5

#
set title"D_2 v = 1"
set key tm
set key font "Helvetica, 7"
set xlabel "J"
set xrange [-0.5:7.5]
plot "exp.D2.v1" title "exp." lc -1 pointtype 7 pointsize 0.5 , "B86SRP68-DF2.D2.v1" title "B86SRP68-DF2" lc 1 pointtype 7 pointsize 0.5 , "B86SRP68-DF2.D2.F1.v1" lc 2 pointtype 7 pointsize 0.5 title "B86SRP68-DF2 +ODF", "B86SRP68-DF2.D2.F-1.v1" lc 3 pointtype 7 pointsize 0.5 title "B86SRP68-DF2 -ODF"

EOF
ps2pdf test.ps
evince test.pdf
